View Issue Details

IDProjectCategoryView StatusLast Update
0002873Ham Radio DeluxeBugpublic2018-09-11 13:18
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version6.4.0.877 
Target VersionFixed in Version6.4.0.886 
Summary0002873: Logbook: ALE crashes on second use
DescriptionThe ALE will crash the second time it is used to perform a lookup. This was originally reported in the beta forum (https://forums.hamradiodeluxe.com/node/47353?p=47360#post47360 ) but that user hasn't been able to create a Mantis issue, so I've opened one myself to escape being blocked.

Note that this issue only affected the 877 beta release.
Steps To Reproduce1) Fire up the logbook
2) Open your favorite database
3) use the "+" button in the toolbar to open the ALE
4) Add a new record; any data is fine -- but perform a lookup on the entered callsign
5) Save the entry, close the ALE
6) Open the ALE again
7) Add a new record; any data is fine -- but perform a lookup on the entered callsign

BUG#1) Crash when the second lookup is performed

Additional Information
0:000> .ecxr
eax=295bbc28 ebx=ffffffff ecx=0085ffff edx=00000092 esi=00000064 edi=008ef838
eip=0108fcce esp=008e16d4 ebp=008e16d4 iopl=0         nv up ei pl nz na pe nc
cs=0023  ss=002b  ds=002b  es=002b  fs=0053  gs=002b             efl=00210206
HRDLogbook!CWnd::GetDlgItem+0x22:
0108fcce 8b01            mov     eax,dword ptr [ecx]  ds:002b:0085ffff=????????
0:000> kb
  *** Stack trace for last set context - .thread/.cxr resets it
 # ChildEBP RetAddr  Args to Child              
00 008e16d4 01662202 00004ef2 008e16f8 34003339 HRDLogbook!CWnd::GetDlgItem+0x22 [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\winocc.cpp @ 93] 
01 008e1efc 01094108 00000000 0a920cd0 34003a65 HRDLogbook!CLogbookFull::OnCallsignLookup+0x16e2 [c:\ham radio\logbook\hrdlogbook\logbookfulllookup.cpp @ 2953] 
02 008e1fb4 0105d906 018d7ba0 00000000 0a920cd0 HRDLogbook!CWnd::OnWndMsg+0x77b [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 2679] 
03 008e1fd0 0109522f 0000c34e 00000000 0a920cd0 HRDLogbook!CXTPDialogBase<CXTPResizeDialog>::OnWndMsg+0x46 [c:\ham radio\codejock software\mfc\xtreme toolkitpro v15.0.2\source\commandbars\xtpdialogbase.h @ 194] 
04 008e1ff0 01090b3f 0000c34e 00000000 0a920cd0 HRDLogbook!CWnd::WindowProc+0x22 [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 2094] 
05 008e2060 010912f4 008ef838 092f175e 0000c34e HRDLogbook!AfxCallWndProc+0xb0 [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 285] 
06 008e2080 753bbe6b 092f175e 0000c34e 00000000 HRDLogbook!AfxWndProc+0x34 [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 434] 
07 008e20ac 753b833a 010912c0 092f175e 0000c34e user32!_InternalCallWinProc+0x2b
08 008e2194 75397afd 010912c0 00000000 0000c34e user32!UserCallWinProcCheckWow+0x3aa
09 008e21d0 0131955c 010912c0 092f175e 0000c34e user32!CallWindowProcW+0x8d
0a 008e2218 753bbe6b 010912c0 0000c34e 00000000 HRDLogbook!CXTPHookManager::HookWndProc+0xac [c:\hrdbranch\ham radio\codejock software\mfc\xtreme toolkitpro v15.0.2\source\common\xtphookmanager.cpp @ 267] 
0b 008e2244 753b833a 013194b0 092f175e 0000c34e user32!_InternalCallWinProc+0x2b
0c 008e232c 753b7bee 013194b0 00000000 0000c34e user32!UserCallWinProcCheckWow+0x3aa
0d 008e23a8 753b79d0 7af73856 008eebb8 0109a2f0 user32!DispatchMessageWorker+0x20e
0e 008e23b4 0109a2f0 009840f0 008ef838 3fff5c51 user32!DispatchMessageW+0x10
0f 008e23c4 01663f79 34000601 00000001 008f0b30 HRDLogbook!AfxInternalPumpMessage+0x3e [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\thrdcore.cpp @ 183] 
10 008eebb8 016603da 297270e8 00000003 00000111 HRDLogbook!CLogbookFull::CallsignLookup+0x1349 [c:\ham radio\logbook\hrdlogbook\logbookfulllookup.cpp @ 1279] 
11 008eebf0 01097670 00000000 008ef838 008eec30 HRDLogbook!CLogbookFull::OnQRZ+0x4a [c:\ham radio\logbook\hrdlogbook\logbookfulllookup.cpp @ 789] 
12 008eec00 010974a9 008ef838 00004f7f 00000000 HRDLogbook!_AfxDispatchCmdMsg+0x42 [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\cmdtarg.cpp @ 78] 
13 008eec30 010a7b0c 00004f7f 018d709c 00000000 HRDLogbook!CCmdTarget::OnCmdMsg+0x120 [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\cmdtarg.cpp @ 373] 
14 008eec54 01092dd2 00004f7f 00000000 00000000 HRDLogbook!CPropertySheet::OnCmdMsg+0x1b [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\dlgprop.cpp @ 816] 
15 008eeca4 010939c9 00004f7f 00611884 3400c88d HRDLogbook!CWnd::OnCommand+0x89 [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 2784] 
16 008eed5c 0105d906 00000111 00004f7f 00611884 HRDLogbook!CWnd::OnWndMsg+0x3c [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 2108] 
17 008eed78 0109522f 00000111 00004f7f 00611884 HRDLogbook!CXTPDialogBase<CXTPResizeDialog>::OnWndMsg+0x46 [c:\ham radio\codejock software\mfc\xtreme toolkitpro v15.0.2\source\commandbars\xtpdialogbase.h @ 194] 
18 008eed98 01090b3f 00000111 00004f7f 00611884 HRDLogbook!CWnd::WindowProc+0x22 [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 2094] 
19 008eee08 010912f4 008ef838 092f175e 00000111 HRDLogbook!AfxCallWndProc+0xb0 [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 285] 
1a 008eee28 753bbe6b 092f175e 00000111 00004f7f HRDLogbook!AfxWndProc+0x34 [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 434] 
1b 008eee54 753b833a 010912c0 092f175e 00000111 user32!_InternalCallWinProc+0x2b
1c 008eef3c 75397afd 010912c0 00000000 00000111 user32!UserCallWinProcCheckWow+0x3aa
1d 008eef78 0131955c 010912c0 092f175e 00000111 user32!CallWindowProcW+0x8d
1e 008eefc0 753bbe6b 010912c0 00000111 00004f7f HRDLogbook!CXTPHookManager::HookWndProc+0xac [c:\hrdbranch\ham radio\codejock software\mfc\xtreme toolkitpro v15.0.2\source\common\xtphookmanager.cpp @ 267] 
1f 008eefec 753b833a 013194b0 092f175e 00000111 user32!_InternalCallWinProc+0x2b
20 008ef0d4 753b7eda 013194b0 00000000 00000111 user32!UserCallWinProcCheckWow+0x3aa
21 008ef138 753ba629 034de1b0 00000000 00000111 user32!DispatchClientMessage+0xea
22 008ef178 7790c66d 008ef194 00000020 008ef3f0 user32!__fnDWORD+0x49
23 008ef1b0 74ff2b4c 7539c09a 092f175e 00000111 ntdll!KiUserCallbackDispatcher+0x4d
24 008ef1b4 7539c09a 092f175e 00000111 00004f7f win32u!NtUserMessageCall+0xc
25 008ef220 7539bc57 034de1b0 00000000 00611884 user32!SendMessageWorker+0x3da
26 008ef260 6fe6e96f 092f175e 00000111 00004f7f user32!SendMessageW+0x137
27 008ef280 6fe6e92f 00000000 00000202 2668e7e0 comctl32!Button_NotifyParent+0x39
28 008ef298 6fe997f1 00000202 00000000 6fe99440 comctl32!Button_ReleaseCapture+0x88
29 008ef2ec 753bbe6b 00611884 00000202 00000000 comctl32!Button_WndProc+0x3b1
2a 008ef318 753b833a 6fe99440 00611884 00000202 user32!_InternalCallWinProc+0x2b
2b 008ef400 75397afd 6fe99440 00000000 00000202 user32!UserCallWinProcCheckWow+0x3aa
2c 008ef43c 012d89ff 6fe99440 00611884 00000202 user32!CallWindowProcW+0x8d
2d 008ef488 753bbe6b 00000000 00000202 00000000 HRDLogbook!CXTPSkinManager::HookWndProc+0x5f [c:\hrdbranch\ham radio\codejock software\mfc\xtreme toolkitpro v15.0.2\source\skinframework\xtpskinobject.cpp @ 727] 
2e 008ef4b4 753b833a 012d89a0 00611884 00000202 user32!_InternalCallWinProc+0x2b
2f 008ef59c 753b7bee 012d89a0 00000000 00000202 user32!UserCallWinProcCheckWow+0x3aa
30 008ef618 7539a2c3 008ef838 008ef838 009840f0 user32!DispatchMessageWorker+0x20e
31 008ef648 01090191 092f175e 009840f0 009840f0 user32!IsDialogMessageW+0x103
32 008ef65c 01094301 009840f0 008ef67c 0109c3a5 HRDLogbook!CWnd::IsDialogMessageW+0x2e [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\winocc.cpp @ 193] 
33 008ef668 0109c3a5 009840f0 008ef838 009840f0 HRDLogbook!CWnd::PreTranslateInput+0x2b [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 4589] 
34 008ef67c 0105d8ac 009840f0 008ef838 092f175e HRDLogbook!CDialog::PreTranslateMessage+0xa0 [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\dlgcore.cpp @ 79] 
35 008ef690 0164e025 009840f0 009840f0 001422b0 HRDLogbook!CXTPDialogBase<CXTPResizeDialog>::PreTranslateMessage+0x7c [c:\ham radio\codejock software\mfc\xtreme toolkitpro v15.0.2\source\commandbars\xtpdialogbase.h @ 183] 
36 008ef6a4 01095123 009840f0 009840f0 0a9b1020 HRDLogbook!CLogbookFull::PreTranslateMessage+0x195 [c:\ham radio\logbook\hrdlogbook\logbookfull.cpp @ 4277] 
37 008ef6b8 0109a258 001422b0 009840f0 009840f0 HRDLogbook!CWnd::WalkPreTranslateTree+0x21 [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 3363] 
38 008ef6d4 0109a792 009840f0 008ef6f0 015efa86 HRDLogbook!AfxInternalPreTranslateMessage+0x3f [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\thrdcore.cpp @ 233] 
39 008ef6e0 015efa86 009840f0 009840c0 008ef6fc HRDLogbook!CWinThread::PreTranslateMessage+0xb [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\thrdcore.cpp @ 777] 
3a 008ef6f0 0109a32c 009840f0 008ef72c 0109a2dd HRDLogbook!CHRDLogbookApp::PreTranslateMessage+0x26 [c:\ham radio\logbook\hrdlogbook\hrdlogbook.cpp @ 1412] 
3b 008ef6fc 0109a2dd 009840f0 00000000 008ef838 HRDLogbook!AfxPreTranslateMessage+0x17 [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\thrdcore.cpp @ 255] 
3c 008ef70c 01094a0e 00000004 008ef838 00000001 HRDLogbook!AfxInternalPumpMessage+0x2b [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\thrdcore.cpp @ 178] 
3d 008ef72c 0109bd77 00000004 001422b0 008ef838 HRDLogbook!CWnd::RunModalLoop+0xc3 [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 4644] 
3e 008ef744 0109bea2 296fbf98 0a9b1020 01050000 HRDLogbook!CWnd::CreateRunDlgIndirect+0x3e [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\dlgcore.cpp @ 470] 
3f 008ef79c 01657f62 3400d21d 7fffffff 00000002 HRDLogbook!CDialog::DoModal+0x10a [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\dlgcore.cpp @ 633] 
40 008ef7cc 016012f6 3400d209 7fffffff 0a95cfc8 HRDLogbook!CLogbookFull::DoModal+0xa2 [c:\ham radio\logbook\hrdlogbook\logbookfull.cpp @ 5781] 
41 008ff564 01601488 00000002 01601460 0a95cfc8 HRDLogbook!CHRDLogbookView::ModifyEntry+0x846 [c:\ham radio\logbook\hrdlogbook\hrdlogbookview.cpp @ 2741] 
42 008ff57c 01093e90 00000001 00000196 00000051 HRDLogbook!CHRDLogbookView::OnLButtonDblClk+0x28 [c:\ham radio\logbook\hrdlogbook\hrdlogbookview.cpp @ 2541] 
43 008ff638 0109522f 018cc840 00000001 00510196 HRDLogbook!CWnd::OnWndMsg+0x503 [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 2473] 
44 008ff658 01090b3f 00000203 00000001 00510196 HRDLogbook!CWnd::WindowProc+0x22 [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 2094] 
45 008ff6c8 010912f4 0a95cfc8 00132050 00000203 HRDLogbook!AfxCallWndProc+0xb0 [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 285] 
46 008ff6e8 753bbe6b 00132050 00000203 00000001 HRDLogbook!AfxWndProc+0x34 [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 434] 
47 008ff714 753b833a 010912c0 00132050 00000203 user32!_InternalCallWinProc+0x2b
48 008ff7fc 75397afd 010912c0 00000000 00000203 user32!UserCallWinProcCheckWow+0x3aa
49 008ff838 6fe9aadd 010912c0 00132050 00000203 user32!CallWindowProcW+0x8d
4a 008ff8c0 6fe9ab7b 00000203 00000001 00510196 comctl32!CallNextSubclassProc+0x11d
4b 008ff940 6fe9a935 00000203 00000001 00510196 comctl32!CallNextSubclassProc+0x1bb
4c 008ff99c 753bbe6b 00132050 00000203 00000001 comctl32!MasterSubclassProc+0xa5
4d 008ff9c8 753b833a 6fe9a890 00132050 00000203 user32!_InternalCallWinProc+0x2b
4e 008ffab0 753b7bee 6fe9a890 00000000 00000203 user32!UserCallWinProcCheckWow+0x3aa
4f 008ffb2c 753b79d0 7af73856 008ffb64 0109a2f0 user32!DispatchMessageWorker+0x20e
50 008ffb38 0109a2f0 009840f0 00000000 01a0e9e0 user32!DispatchMessageW+0x10
51 008ffb48 0109a927 ffffffff 01a0e9e0 01a0e9e0 HRDLogbook!AfxInternalPumpMessage+0x3e [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\thrdcore.cpp @ 183] 
52 008ffb64 014d8c50 011ced5c 00000001 00000000 HRDLogbook!CWinThread::Run+0x57 [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\thrdcore.cpp @ 629] 
53 008ffb78 011cece2 01050000 00000000 00972048 HRDLogbook!AfxWinMain+0x66 [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\winmain.cpp @ 47] 
54 008ffbc4 776e8484 00759000 776e8460 a286392e HRDLogbook!__tmainCRTStartup+0xfd [f:\dd\vctools\crt\crtw32\startup\crt0.c @ 251] 
55 008ffbd8 77902fea 00759000 ff277448 00000000 kernel32!BaseThreadInitThunk+0x24
56 008ffc20 77902fba ffffffff 7791ec25 00000000 ntdll!__RtlUserThreadStart+0x2f
57 008ffc30 00000000 011ced5c 00759000 00000000 ntdll!_RtlUserThreadStart+0x1b

TagsNo tags attached.
ModuleLogbook
Sub-ModuleALE Window
Testing Beta Successful

Relationships

Activities

K7ZCZ

2018-09-03 05:42

manager   ~0006067

fixed with this checkin
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4325

g3ucq

2018-09-07 02:56

viewer   ~0006104

Fixed

Issue History

Date Modified Username Field Change
2018-09-03 05:31 K7ZCZ New Issue
2018-09-03 05:42 K7ZCZ Assigned To => K7ZCZ
2018-09-03 05:42 K7ZCZ Status new => resolved
2018-09-03 05:42 K7ZCZ Resolution open => fixed
2018-09-03 05:42 K7ZCZ Note Added: 0006067
2018-09-04 10:03 K7ZCZ Fixed in Version => 6.4.0.881
2018-09-04 10:03 K7ZCZ Description Updated View Revisions
2018-09-07 02:56 g3ucq Note Added: 0006104
2018-09-07 16:10 WA9PIE Status resolved => closed
2018-09-07 16:10 WA9PIE Testing Not Started => Beta Successful
2018-09-11 13:15 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2018-09-11 13:18 WA9PIE Fixed in Version 6.4.0.881 => 6.4.0.886